---
title: "Start a Workflow Run"
slug: "start-a-workflow-run-2"
updated: 2026-02-11T20:38:32Z
published: 2026-02-11T22:15:21Z
canonical: "support.fullcast.com/start-a-workflow-run-2"
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fullcast.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start a Workflow Run

Post/workflow/{workflow_id}/run

This page will help you get started with starting a Workflow Run.

		
			

# Start a workflow run[](https://docs.copy.ai/reference/start-a-workflow-run#start-a-workflow-run)

To start a workflow run, send a POST request to `&lt;https://api.copy.ai/api/workflow/&gt;&lt;workflow_id&gt;/run` with a JSON body containing the starting value(s) for the run.

**For example:**

JSONJSON 

```json
{
  "startVariables": {
	  "Input 1": "<Inputs vary depending on the workflow used.>",
	  "Input 2": "<The best way to see an example is to try it!>"
	},
	"metadata": {
    "api": true  /* example optional metadata to set on the workflow run */
	}
}
```

You will receive a response with the ID of the started workflow run:

JSONJSON 

```json
{
  "status": "success",
  "data": {
    "id": "<run_id>"
  }
}
```

This ID can be used to track the progress of the workflow run and will also be included in the webhook request when the run is completed.

## Track or poll for progress[](https://docs.copy.ai/reference/start-a-workflow-run#tracking--poll-for-progress)

To track a workflow run, send a GET request to `&lt;https://api.copy.ai/api/workflow/&gt;&lt;workflow_id&gt;/run/&lt;run_id&gt;`. You will get a response in the following format:

JSONJSON 

```json
{
    "status": "success",
    "data":
    {
        "id": "<run_id>",
        "input":
        { 
          	"Input 1": "Inputs vary depending on the workflow used.",
			      "Input 2": "The best way to see an example is to try it!" 
        },
        "status": "PROCESSING",
        "output":
        {
            "Output 1": "<Outputs vary depending on the workflow used.>",
						"Output 2": "<The best way to see an example is to try it!>"
        },
        "createdAt": "2022-11-18T20:30:07.434Z"
    }
}
```

To learn more about the workflow run details and statuses available, visit this page: [Get Workflow Run](/api-docs/apidocs/get-workflow-run-2)

## Run completion[](https://docs.copy.ai/reference/start-a-workflow-run#run-completion)

When the run is complete, the status will change to `COMPLETE` and we will send a POST request to any webhooks registered to receive completion events for the workflow.

**Example request:**

JSONJSON 

```json
{
    "type": "workflowRun.completed",
    "workflowRunId": "<run_id>",
    "workflowId": "<workflow_id>",
    "result":
    {
      "Output 1": "<Outputs vary depending on the workflow used.>",
			"Output 2": "<The best way to see an example is to try it!>"
    },
    "metadata":
    {
      /* any metadata set on the workflow run */
    },
    "credits": 2 
}
```

To learn more about registering a webhook, see this page: [Register Webhook](/api-docs/apidocs/register-webhook)

		
		
SecurityAPI Key: ApiKeyAuthHeader parameter namex-copy-ai-api-key

Copy.ai API key for authentication

Header parametersx-copy-ai-api-keystringRequired

Path parametersworkflow_idstringRequired

ID of the workflow

Body parameters<select class='api-response-data' aria-label='Media type'><option value='56a68154-3331-4316-85ed-96c6c56085d8'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='5ca1d404-8afc-4d61-a54c-62b10ab844d2'>example1</option>
</select>example1

```json
{
  "startVariables": {
    "input_text": "Generate a blog post about AI",
    "tone": "professional"
  },
  "metadata": {
    "api": "True",
    "user_id": "user_12345"
  }
}
```

Expand Allobject  startVariablesobject  Required
metadataobject  

Responses200

Success

<select class='api-response-data' aria-label='Media type'><option value='cf8b6a8d-dcf1-418d-8b22-2212fedaec58'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='e5ca1da6-6944-4388-b0c8-8e541dcf72fa'>success</option>
</select>success

```json
{
  "status": "success",
  "data": {
    "id": "some-UUID-1234"
  }
}
```

Expand Allobject  statusstring    
dataobject  idstring    

400

Bad Request or Credit Limit Reached

<select class='api-response-data' aria-label='Media type'><option value='0fca9346-dbe2-4801-8d6c-286a8db6c654'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='477db27f-5cee-41f0-b40d-2e105f6ba8b3'>creditLimit</option>
</select>creditLimit

```json
{
  "status": "error",
  "errorCode": "WORKFLOW_CREDIT_LIMIT_REACHED"
}
```

404

Not Found

422

Validation Error
